Get task items statistics for an entity
curl --request GET \
--url https://api.trycomp.ai/v1/task-management/stats \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/task-management/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/task-management/stats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"total": 123,
"byStatus": {
"todo": 123,
"in_progress": 123,
"in_review": 123,
"done": 123,
"canceled": 123
}
}Task Management
Get task items statistics for an entity | Comp AI API
Get task items statistics for an entity in Comp AI. Manage task items and attachments linked to operational entities such as risks and vendors.
GET
/
v1
/
task-management
/
stats
Get task items statistics for an entity
curl --request GET \
--url https://api.trycomp.ai/v1/task-management/stats \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/task-management/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/task-management/stats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"total": 123,
"byStatus": {
"todo": 123,
"in_progress": 123,
"in_review": 123,
"done": 123,
"canceled": 123
}
}Authorizations
API key for authentication
Query Parameters
ID of the entity to get task items stats for
Example:
"vnd_abc123def456"
Type of entity
Available options:
vendor, risk Was this page helpful?

